Bug 216585 - www/py-pelican: Concurrent install is ineffective without PKGNAMEPREFIX
Summary: www/py-pelican: Concurrent install is ineffective without PKGNAMEPREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords: patch
Depends on: 215201
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-29 22:22 UTC by John W. O'Brien
Modified: 2017-04-01 07:05 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (jlaffaye)


Attachments
www/py-pelican: Set PKGNAMEPREFIX (802 bytes, patch)
2017-01-29 22:22 UTC, John W. O'Brien
john: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2017-01-29 22:22:28 UTC
Created attachment 179411 [details]
www/py-pelican: Set PKGNAMEPREFIX

With the patch in bug #215201 applied, it is possible to build www/py-pelican with any version of python. However, the fact that USES=concurrent does not, by itself, allow concurrent installation because the package name is not version qualified. If PKGNAMEPREFIX is not set, any attempt to install a concurrent version with pkg will result in a prompt to remove the version already installed.

The attached patch (which includes the other patch upon which it depends) changes the package name by setting PKGNAMEPREFIX. A PORTREVISION bump is appropriate whether or not this patch is committed together with the patch attached to bug #215201 because of the package name change.

QA
==

portlint: OK
poudriere: OK -- tested on 10.3R amd64 with py27 (default), py34, py35, and py36
Comment 1 commit-hook freebsd_committer 2017-02-14 11:09:33 UTC
A commit references this bug:

Author: demon
Date: Tue Feb 14 11:09:04 UTC 2017
New revision: 434077
URL: https://svnweb.freebsd.org/changeset/ports/434077

Log:
  Add PKGNAMEPREFIX so that concurrent installs really work

  PR:		216585
  Submitted by:	John W. O'Brien <john@saltant.com>
  maintainer timeout.

Changes:
  head/www/py-pelican/Makefile
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2017-04-01 07:05:19 UTC
Assign to committer that resolved